Skip to main content
`Ctrl`+`K`

# numpy.char.rjust

char.rjust(a, width, fillchar=' ')

  Return an array with the elements of a right-justified in a string of length width.

  Parameters:
    a array-like, with `StringDType`, `bytes_`, or `str_` dtype
    width array_like, with any integer dtype

      The length of the resulting strings, unless `width < str_len(a)`.

    fillchar array-like, with `StringDType`, `bytes_`, or `str_` dtype

      Optional padding character to use (default is space).

  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  See also

  `str.rjust`

  Notes

  While it is possible for `a` and `fillchar` to have different dtypes, passing a non-ASCII character in `fillchar` when `a` is of dtype “S” is not allowed, and a `ValueError` is raised.

  Examples

      >>> import numpy as np
      >>> a = np.array(['aAaAaA', '  aA  ', 'abBABba'])
      >>> np.strings.rjust(a, width=3)
      array(['aAaAaA', '  aA  ', 'abBABba'], dtype='<U7')
      >>> np.strings.rjust(a, width=9)
      array(['   aAaAaA', '     aA  ', '  abBABba'], dtype='<U9')